#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './pmxexportform.ui'
**
** Created: Tue Aug 22 15:34:52 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "pmxexportform.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qspinbox.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "scaleedit_impl.h"

/*
 *  Constructs a PMXExportForm as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
PMXExportForm::PMXExportForm( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "PMXExportForm" );
    PMXExportFormLayout = new QGridLayout( this, 1, 1, 11, 6, "PMXExportFormLayout"); 

    x4 = new QGroupBox( this, "x4" );
    x4->setColumnLayout(0, Qt::Vertical );
    x4->layout()->setSpacing( 6 );
    x4->layout()->setMargin( 11 );
    x4Layout = new QGridLayout( x4->layout() );
    x4Layout->setAlignment( Qt::AlignTop );

    l6 = new QLabel( x4, "l6" );

    x4Layout->addWidget( l6, 0, 0 );

    l7 = new QLabel( x4, "l7" );

    x4Layout->addWidget( l7, 1, 0 );

    pmxWidth = new QSpinBox( x4, "pmxWidth" );
    pmxWidth->setMaxValue( 500 );
    pmxWidth->setValue( 170 );

    x4Layout->addWidget( pmxWidth, 0, 1 );

    pmxHeight = new QSpinBox( x4, "pmxHeight" );
    pmxHeight->setMaxValue( 500 );
    pmxHeight->setValue( 250 );

    x4Layout->addWidget( pmxHeight, 1, 1 );

    pmxLandscape = new QCheckBox( x4, "pmxLandscape" );

    x4Layout->addMultiCellWidget( pmxLandscape, 2, 2, 0, 1 );

    pmxKeepBeams = new QCheckBox( x4, "pmxKeepBeams" );

    x4Layout->addMultiCellWidget( pmxKeepBeams, 3, 3, 0, 1 );

    pmxMLyr = new QCheckBox( x4, "pmxMLyr" );

    x4Layout->addMultiCellWidget( pmxMLyr, 4, 4, 0, 1 );

    PMXExportFormLayout->addWidget( x4, 0, 0 );

    x5 = new QGroupBox( this, "x5" );
    x5->setColumnLayout(0, Qt::Vertical );
    x5->layout()->setSpacing( 6 );
    x5->layout()->setMargin( 11 );
    x5Layout = new QGridLayout( x5->layout() );
    x5Layout->setAlignment( Qt::AlignTop );

    pmxMeasure = new NScaleEdit( x5, "pmxMeasure" );
    pmxMeasure->setMinimumSize( QSize( 225, 36 ) );

    x5Layout->addWidget( pmxMeasure, 1, 1 );

    pmxNum = new NScaleEdit( x5, "pmxNum" );
    pmxNum->setMinimumSize( QSize( 225, 36 ) );

    x5Layout->addWidget( pmxNum, 3, 1 );

    pmxSystem = new NScaleEdit( x5, "pmxSystem" );
    pmxSystem->setMinimumSize( QSize( 225, 36 ) );

    x5Layout->addWidget( pmxSystem, 2, 1 );

    l8 = new QLabel( x5, "l8" );
    l8->setMinimumSize( QSize( 78, 0 ) );
    l8->setFrameShadow( QLabel::Plain );

    x5Layout->addWidget( l8, 1, 0 );

    l9 = new QLabel( x5, "l9" );

    x5Layout->addWidget( l9, 2, 0 );

    l10 = new QLabel( x5, "l10" );

    x5Layout->addWidget( l10, 3, 0 );

    pmxStaff = new QPushButton( x5, "pmxStaff" );

    x5Layout->addWidget( pmxStaff, 4, 1 );
    Spacer28 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Fixed );
    x5Layout->addItem( Spacer28, 0, 0 );
    Spacer1_2 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    x5Layout->addMultiCell( Spacer1_2, 5, 5, 0, 1 );

    PMXExportFormLayout->addWidget( x5, 0, 1 );
    languageChange();
    resize( QSize(600, 480).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
PMXExportForm::~PMXExportForm()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void PMXExportForm::languageChange()
{
    setCaption( tr2i18n( "PMXForm" ) );
    x4->setTitle( tr2i18n( "Page geometry" ) );
    l6->setText( tr2i18n( "Width:" ) );
    l7->setText( tr2i18n( "Height:" ) );
    pmxLandscape->setText( tr2i18n( "&Landscape" ) );
    pmxKeepBeams->setText( tr2i18n( "Keep beams" ) );
    pmxMLyr->setText( tr2i18n( "&With musixlyr" ) );
    x5->setTitle( tr2i18n( "Settings" ) );
    l8->setText( tr2i18n( "<center>Measures<br>per system:" ) );
    l9->setText( tr2i18n( "<center>Systems<br>per page:" ) );
    l10->setText( tr2i18n( "<center>Number<br>of pages:" ) );
    pmxStaff->setText( tr2i18n( "&Staff selection" ) );
    pmxStaff->setAccel( QKeySequence( tr2i18n( "Alt+S" ) ) );
}

#include "pmxexportform.moc"
