#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './saveparametersform.ui'
**
** Created: Tue Aug 22 15:34:54 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "saveparametersform.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qspinbox.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a SaveParametersForm as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
SaveParametersForm::SaveParametersForm( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "SaveParametersForm" );
    SaveParametersFormLayout = new QGridLayout( this, 1, 1, 11, 6, "SaveParametersFormLayout"); 

    paperSize = new QGroupBox( this, "paperSize" );
    paperSize->setColumnLayout(0, Qt::Vertical );
    paperSize->layout()->setSpacing( 6 );
    paperSize->layout()->setMargin( 11 );
    paperSizeLayout = new QGridLayout( paperSize->layout() );
    paperSizeLayout->setAlignment( Qt::AlignTop );

    layout3 = new QGridLayout( 0, 1, 1, 0, 6, "layout3"); 

    pWidth = new QSpinBox( paperSize, "pWidth" );
    pWidth->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, pWidth->sizePolicy().hasHeightForWidth() ) );
    pWidth->setMaxValue( 500 );
    pWidth->setMinValue( 1 );
    pWidth->setValue( 170 );

    layout3->addWidget( pWidth, 2, 2 );

    paramEnable = new QCheckBox( paperSize, "paramEnable" );

    layout3->addMultiCellWidget( paramEnable, 0, 0, 0, 2 );

    paramLand = new QCheckBox( paperSize, "paramLand" );

    layout3->addMultiCellWidget( paramLand, 1, 1, 0, 2 );

    paramMeasureNums = new QCheckBox( paperSize, "paramMeasureNums" );

    layout3->addMultiCellWidget( paramMeasureNums, 6, 6, 0, 2 );

    hlabel = new QLabel( paperSize, "hlabel" );

    layout3->addMultiCellWidget( hlabel, 4, 5, 0, 2 );

    pHeight = new QSpinBox( paperSize, "pHeight" );
    pHeight->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, pHeight->sizePolicy().hasHeightForWidth() ) );
    pHeight->setMaxValue( 500 );
    pHeight->setMinValue( 1 );
    pHeight->setValue( 250 );

    layout3->addWidget( pHeight, 5, 2 );

    wLabel = new QLabel( paperSize, "wLabel" );

    layout3->addMultiCellWidget( wLabel, 2, 3, 0, 0 );

    paperSizeLayout->addLayout( layout3, 0, 0 );

    SaveParametersFormLayout->addMultiCellWidget( paperSize, 0, 0, 0, 2 );
    Spacer6 = new QSpacerItem( 237, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    SaveParametersFormLayout->addItem( Spacer6, 1, 0 );
    Spacer7 = new QSpacerItem( 237, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    SaveParametersFormLayout->addItem( Spacer7, 1, 1 );

    OkBu = new QPushButton( this, "OkBu" );

    SaveParametersFormLayout->addWidget( OkBu, 1, 2 );
    languageChange();
    resize( QSize(600, 480).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
SaveParametersForm::~SaveParametersForm()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SaveParametersForm::languageChange()
{
    setCaption( tr2i18n( "Save parameters" ) );
    paperSize->setTitle( tr2i18n( "Page geometry" ) );
    paramEnable->setText( tr2i18n( "Enable" ) );
    paramLand->setText( tr2i18n( "Landscape" ) );
    paramMeasureNums->setText( tr2i18n( "&With measure numbers" ) );
    paramMeasureNums->setAccel( QKeySequence( tr2i18n( "Alt+W" ) ) );
    hlabel->setText( tr2i18n( "Height:" ) );
    wLabel->setText( tr2i18n( "Width:" ) );
    OkBu->setText( tr2i18n( "Dismiss" ) );
}

void SaveParametersForm::paramLandSlot()
{
    qWarning( "SaveParametersForm::paramLandSlot(): Not implemented yet" );
}

void SaveParametersForm::closeIt()
{
    qWarning( "SaveParametersForm::closeIt(): Not implemented yet" );
}

#include "saveparametersform.moc"
